<div class="ui centered grid" >
    <div class="five wide  centered column" id="col" >
        <form class="ui form" [formGroup]="loginForm" (ngSubmit)="login()">
            <div class="required field">
                <label>Username</label>
                <input type="text" formControlName="username">
            </div>

            <div class="required field">
                <label>Password</label>
                <input type="password" formControlName="password">
            </div>

<div class="ui negative message" *ngIf="errorMessage != ''" >
        {{ errorMessage }}
    </div>

    <button class="ui fluid button" type="submit">Login</button>
</form>

        <div class="ui warning message">
            You don't have an account? You can <a routerLink="/register">register here</a>.
        </div>
    </div>
    <div>
        <img src = "assets/logo.png" alt = "Recipe image">
    </div>
</div>